cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ILT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ILT

- All Implemented Interfaces:
    ISegment

      public class ILT
      extends Segment

  ILT - Material Lot Segment

  The Material Lot segment (ILT) contains material information specific to a lot within an inventory location associated with the item in the IVT segment.

  Represents an HL7 ILT message segment. This segment has the following fields:

  ILT-1 : Set Id - ILT (SI) Required
  ILT-2 : Inventory Lot Number (ST) Required
  ILT-3 : Inventory Expiration Date(DTM) Optional
  ILT-4 : Inventory Received Date (DTM) Optional
  ILT-5 : Inventory Received Quantity(NM) Optional
  ILT-6 : Inventory Received Quantity Unit(CWE) Optional
  ILT-7 : Inventory Received Item Cost (MO) Optional
  ILT-8 : Inventory On Hand Date (DTM) Optional
  ILT-9 : Inventory On Hand Quantity (NM) Optional
  ILT-10: Inventory On Hand Quantity Unit (CWE) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILT()` Constructs the ILT segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getInventoryExpirationDate()` Retrieves the Inventory Expiration Date.
    `ST` | `getInventoryLotNumber()` Retrieves the Inventory Lot Number.
    `DTM` | `getInventoryOnHandDate()` Retrieves the Inventory On Hand Date.
    `NM` | `getInventoryOnHandQuantity()` Retrieves the Inventory On Hand Quantity.
    `CWE` | `getInventoryOnHandQuantityUnit()` Retrieves the Inventory On Hand Quantity Unit.
    `DTM` | `getInventoryReceivedDate()` Retrieves the Inventory Received Date.
    `MO` | `getInventoryReceivedItemCost()` Retrieves the Inventory Received Item Cost.
    `NM` | `getInventoryReceivedQuantity()` Retrieves the Inventory Received Quantity.
    `CWE` | `getInventoryReceivedQuantityUnit()` Retrieves the Inventory Received Quantity Unit.
    `SI` | `getSetID_ILT()` Retrieves the Set Id - ILT.
    `void` | `setInventoryExpirationDate(DTM objInventoryExpirationDate)` Set the Inventory Expiration Date.
    `void` | `setInventoryExpirationDate(java.lang.String strInventoryExpirationDate)` Set the Inventory Expiration Date.
    `void` | `setInventoryLotNumber(ST objInventoryLotNumber)` Set the Inventory Lot Number.
    `void` | `setInventoryLotNumber(java.lang.String strInventoryLotNumber)` Set the Inventory Lot Number.
    `void` | `setInventoryOnHandDate(DTM objInventoryOnHandDate)` Set the Inventory On Hand Date.
    `void` | `setInventoryOnHandDate(java.lang.String strInventoryOnHandDate)` Set the Inventory On Hand Date.
    `void` | `setInventoryOnHandQuantity(NM objInventoryOnHandQuantity)` Set the Inventory On Hand Quantity.
    `void` | `setInventoryOnHandQuantity(java.lang.String strInventoryOnHandQuantity)` Set the Inventory On Hand Quantity.
    `void` | `setInventoryOnHandQuantityUnit(CWE objInventoryOnHandQuantityUnit)` Set the Inventory On Hand Quantity Unit.
    `void` | `setInventoryOnHandQuantityUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory On Hand Quantity Unit.
    `void` | `setInventoryReceivedDate(DTM objInventoryReceivedDate)` Set the Inventory Received Date.
    `void` | `setInventoryReceivedDate(java.lang.String strInventoryReceivedDate)` Set the Inventory Received Date.
    `void` | `setInventoryReceivedItemCost(MO objInventoryReceivedItemCost)` Set the Inventory Received Item Cost.
    `void` | `setInventoryReceivedItemCost(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Inventory Received Item Cost.
    `void` | `setInventoryReceivedQuantity(NM objInventoryReceivedQuantity)` Set the Inventory Received Quantity.
    `void` | `setInventoryReceivedQuantity(java.lang.String strInventoryReceivedQuantity)` Set the Inventory Received Quantity.
    `void` | `setInventoryReceivedQuantityUnit(CWE objInventoryReceivedQuantityUnit)` Set the Inventory Received Quantity Unit.
    `void` | `setInventoryReceivedQuantityUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Inventory Received Quantity Unit.
    `void` | `setSetId_ILT(SI objSetId_ILT)` Set the Set Id – ILT.
    `void` | `setSetId_ILT(java.lang.String strSetId_ILT)` Set the Set Id – ILT.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ILT

          public ILT()

      Constructs the ILT segment.

  - ### Method Detail

    - #### getSetID_ILT

          public SI getSetID_ILT()

      Retrieves the Set Id - ILT. This field contains the number that identifies this transaction.
      Returns:
        SI - setID_ILT

    - #### getInventoryLotNumber

          public ST getInventoryLotNumber()

      Retrieves the Inventory Lot Number. The lot number is the number printed on the label attached to the item or container holding the substance.
      Returns:
        ST - inventoryLotNumber

    - #### getInventoryExpirationDate

          public DTM getInventoryExpirationDate()

      Retrieves the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Returns:
        DTM - inventoryExpirationDate

    - #### getInventoryReceivedDate

          public DTM getInventoryReceivedDate()

      Retrieves the Inventory Received Date. This field contains the most recent date that the product in question was received into inventory.
      Returns:
        DTM - inventoryReceivedDate

    - #### getInventoryReceivedQuantity

          public NM getInventoryReceivedQuantity()

      Retrieves the Inventory Received Quantity. This field contains the quantity of this inventory item that was received on the date specific in ILT-4 Inventory Received Date field.
      Returns:
        NM - inventoryReceivedQuantity

    - #### getInventoryReceivedQuantityUnit

          public CWE getInventoryReceivedQuantityUnit()

      Retrieves the Inventory Received Quantity Unit. This field specifies the unit for the Inventory Received Quantity.
      Returns:
        CWE - inventoryReceivedQuantityUnit

    - #### getInventoryReceivedItemCost

          public MO getInventoryReceivedItemCost()

      Retrieves the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Returns:
        MO - inventoryReceivedItemCost

    - #### getInventoryOnHandDate

          public DTM getInventoryOnHandDate()

      Retrieves the Inventory On Hand Date. This field specifies the most recent date that an inventory count was performed for the inventory item.
      Returns:
        DTM - inventoryOnHandDate

    - #### getInventoryOnHandQuantity

          public NM getInventoryOnHandQuantity()

      Retrieves the Inventory On Hand Quantity. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Returns:
        NM - inventoryOnHandQuantity

    - #### getInventoryOnHandQuantityUnit

          public CWE getInventoryOnHandQuantityUnit()

      Retrieves the Inventory On Hand Quantity Unit. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Returns:
        CWE - inventoryOnHandQuantityUnit

    - #### setSetId_ILT

          public void setSetId_ILT(java.lang.String strSetId_ILT)

      Set the Set Id – ILT. This field contains the number that identifies this transaction.
      Parameters:
        `strSetId_ILT` - Specifies Set Id - ILT

    - #### setSetId_ILT

          public void setSetId_ILT(SI objSetId_ILT)

      Set the Set Id – ILT. This field contains the number that identifies this transaction.
      Parameters:
        `objSetId_ILT` - Specifies Set Id - ILT

    - #### setInventoryLotNumber

          public void setInventoryLotNumber(java.lang.String strInventoryLotNumber)

      Set the Inventory Lot Number. The lot number is the number printed on the label attached to the item or container holding the substance.
      Parameters:
        `strInventoryLotNumber` - Used as Inventory Lot Number.

    - #### setInventoryLotNumber

          public void setInventoryLotNumber(ST objInventoryLotNumber)

      Set the Inventory Lot Number. The lot number is the number printed on the label attached to the item or container holding the substance.
      Parameters:
        `objInventoryLotNumber` - Object of Inventory Lot Number.

    - #### setInventoryExpirationDate

          public void setInventoryExpirationDate(java.lang.String strInventoryExpirationDate)

      Set the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Parameters:
        `strInventoryExpirationDate` - Use as Inventory Expiration Date.

    - #### setInventoryExpirationDate

          public void setInventoryExpirationDate(DTM objInventoryExpirationDate)

      Set the Inventory Expiration Date. This field contains the expiration date of the service item in inventory.
      Parameters:
        `objInventoryExpirationDate` - Object of Inventory Expiration Date.

    - #### setInventoryReceivedDate

          public void setInventoryReceivedDate(java.lang.String strInventoryReceivedDate)

      Set the Inventory Received Date. This field contains the most recent date that the product in question was received into inventory.
      Parameters:
        `strInventoryReceivedDate` - Use as Inventory Received Date.

    - #### setInventoryReceivedDate

          public void setInventoryReceivedDate(DTM objInventoryReceivedDate)

      Set the Inventory Received Date. This field contains the most recent date that the product in question was received into inventory.
      Parameters:
        `objInventoryReceivedDate` - Object of Inventory Received Date.

    - #### setInventoryReceivedQuantity

          public void setInventoryReceivedQuantity(java.lang.String strInventoryReceivedQuantity)

      Set the Inventory Received Quantity. This field contains the quantity of this inventory item that was received on the date specific in ILT-4 Inventory Received Date field.
      Parameters:
        `strInventoryReceivedQuantity` - Use as Inventory Received Quantity.

    - #### setInventoryReceivedQuantity

          public void setInventoryReceivedQuantity(NM objInventoryReceivedQuantity)

      Set the Inventory Received Quantity. This field contains the quantity of this inventory item that was received on the date specific in ILT-4 Inventory Received Date field.
      Parameters:
        `objInventoryReceivedQuantity` - Use as Inventory Received Quantity.

    - #### setInventoryReceivedQuantityUnit

          public void setInventoryReceivedQuantityUnit(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory Received Quantity Unit. This field specifies the unit for the Inventory Received Quantity.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryReceivedQuantityUnit

          public void setInventoryReceivedQuantityUnit(CWE objInventoryReceivedQuantityUnit)

      Set the Inventory Received Quantity Unit. This field specifies the unit for the Inventory Received Quantity.
      Parameters:
        `objInventoryReceivedQuantityUnit` - Object of Inventory Received Quantity Unit.

    - #### setInventoryReceivedItemCost

          public void setInventoryReceivedItemCost(java.lang.String strQuantity,
                                          java.lang.String strDenomination)

      Set the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setInventoryReceivedItemCost

          public void setInventoryReceivedItemCost(MO objInventoryReceivedItemCost)

      Set the Inventory Received Item Cost. This field contains the per-unit cost of the inventory item at the time of receipt.
      Parameters:
        `objInventoryReceivedItemCost` - Object of Inventory Received Item Cost.

    - #### setInventoryOnHandDate

          public void setInventoryOnHandDate(java.lang.String strInventoryOnHandDate)

      Set the Inventory On Hand Date. This field specifies the most recent date that an inventory count was performed for the inventory item.
      Parameters:
        `strInventoryReceivedDate` - Use as Inventory On Hand Date.

    - #### setInventoryOnHandDate

          public void setInventoryOnHandDate(DTM objInventoryOnHandDate)

      Set the Inventory On Hand Date. This field specifies the most recent date that an inventory count was performed for the inventory item.
      Parameters:
        `objInventoryOnHandDate` - Object of Inventory On Hand Date.

    - #### setInventoryOnHandQuantity

          public void setInventoryOnHandQuantity(java.lang.String strInventoryOnHandQuantity)

      Set the Inventory On Hand Quantity. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Parameters:
        `strInventoryOnHandQuantity` - Use as Inventory On Hand Quantity.

    - #### setInventoryOnHandQuantity

          public void setInventoryOnHandQuantity(NM objInventoryOnHandQuantity)

      Set the Inventory On Hand Quantity. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Parameters:
        `objInventoryOnHandQuantity` - Use as Inventory On Hand Quantity.

    - #### setInventoryOnHandQuantityUnit

          public void setInventoryOnHandQuantityUnit(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Inventory On Hand Quantity Unit. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInventoryOnHandQuantityUnit

          public void setInventoryOnHandQuantityUnit(CWE objInventoryOnHandQuantityUnit)

      Set the Inventory On Hand Quantity Unit. This field contains the quantity of this inventory item that was available for issue/use as of the date specified in ILT-8 Inventory on Hand Date field.
      Parameters:
        `objInventoryOnHandQuantityUnit` - Object of Inventory On Hand Quantity Unit.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails